GRUB-FILE(1)

NOM
grub-file – Vérifier le type d'un fichier

SYNOPSIS
file OPTIONS FICHIER

DESCRIPTION
Vérifier si le FICHIER est du type spécifié.

--is-i386-xen-pae-domu
    Vérifier si FICHIER peut être amorcé comme noyau client non privilégié Xen i386 PAE

--is-x86_64-xen-domu
    Vérifier si FICHIER peut être amorcé comme noyau client non privilégié Xen x86_64

--is-x86-xen-dom0
    Vérifier si FICHIER peut être utilisé comme noyau client privilégié Xen x86

--is-x86-multiboot
    Vérifier si FICHIER peut être utilisé comme noyau multiboot x86

--is-x86-multiboot2 Vérifier si FICHIER peut être utilisé comme noyau multiboot2 x86

--is-arm-linux
    Vérifier si FICHIER est de type Linux ARM

--is-arm64-linux
    Vérifier si FICHIER est de type Linux ARM64

--is-ia64-linux
    Vérifier si FICHIER est de type Linux IA64

--is-mips-linux
    Vérifier si FICHIER est de type Linux MIPS

--is-mipsel-linux
    Vérifier si FICHIER est de type Linux MIPSEL

--is-sparc64-linux
    Vérifier si FICHIER est de type Linux SPARC64

--is-powerpc-linux
    Vérifier si FICHIER est de type Linux POWERPC

--is-x86-linux
    Vérifier si FICHIER est de type Linux x86

--is-x86-linux32
    Vérifier si FICHIER est de type Linux x86 prenant en charge le protocole 32 bits

--is-x86-kfreebsd
    Vérifier si FICHIER est de type kFreeBSD x86

--is-i386-kfreebsd
    Vérifier si FICHIER est de type kFreeBSD i386

--is-x86_64-kfreebsd
    Vérifier si FICHIER est de type kFreeBSD x86_64

--is-x86-knetbsd
    Vérifier si FICHIER est de type kNetBSD x86

--is-i386-knetbsd
    Vérifier si FICHIER est de type kNetBSD i386

--is-x86_64-knetbsd Vérifier si FICHIER est de type kNetBSD x86_64

--is-i386-efi
    Vérifier si FICHIER est un fichier EFI i386

--is-x86_64-efi
    Vérifier si FICHIER est un fichier EFI x86_64

--is-ia64-efi
    Vérifier si FICHIER est un fichier EFI IA64

--is-arm64-efi
    Vérifier si FICHIER est un fichier EFI ARM64

--is-arm-efi
    Vérifier si FICHIER est un fichier EFI ARM

--is-riscv32-efi
    Vérifier si FICHIER est un fichier EFI RISC-V 32 bits

--is-riscv64-efi
    Vérifier si FICHIER est un fichier EFI RISC-V 64 bits

--is-hibernated-hiberfil
    Vérifier si FICHIER est hiberfil.sys en veille prolongée

--is-x86_64-xnu
    Vérifier si FICHIER est de type XNU x86_64 (noyau Mac OS X)

--is-i386-xnu
    Vérifier si FICHIER est de type XNU i386 (noyau Mac OS X)

--is-xnu-hibr
    Vérifier si FICHIER est une image XNU en veille prolongée (noyau Mac OS X)

--is-x86-bios-bootsector
    Vérifier si FICHIER est de type secteur de démarrage du BIOS

-h, --help Afficher cet aide-mémoire puis quitter. -u, --usage Afficher des informations sur l'usage de cette commande et quitter

VOIR AUSSI
La documentation complète de grub-file est disponible dans un manuel Texinfo. Si les programmes info et grub-file sont correctement installés, la commande

    info grub-file

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.